clang 8.0.0

Classes | Namespaces | Functions
CGCXXABI.h File Reference
`#include "CodeGenFunction.h"`
`#include "clang/Basic/LLVM.h"`
Include dependency graph for CGCXXABI.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CodeGen::CGCXXABI
| Implements C++ ABI-specific code generation functions. More...
struct | clang::CodeGen::CGCXXABI::AddedStructorArgs
| Notes how many arguments were added to the beginning (Prefix) and ending (Suffix) of an arg list. More...
struct | clang::CodeGen::CatchRetScope

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen

## Functions
CGCXXABI * | clang::CodeGen::CreateItaniumCXXABI (CodeGenModule &CGM)
| Creates an Itanium-family ABI. More...
CGCXXABI * | clang::CodeGen::CreateMicrosoftCXXABI (CodeGenModule &CGM)
| Creates a Microsoft-family ABI. More...